"use client"
import { useIntl } from "react-intl"

import { formatPrice } from "@/utils/numberFormatting"

import RegularRow from "../Regular"

import type { Packages as PackagesType } from "@/types/requests/packages"

interface PackagesProps {
  packages: PackagesType | null
}

export default function PackagesRow({ packages }: PackagesProps) {
  const intl = useIntl()

  if (!packages || !packages.length) {
    return null
  }

  return packages?.map((pkg) => (
    <RegularRow
      key={pkg.code}
      label={pkg.description}
      value={formatPrice(
        intl,
        +pkg.localPrice.totalPrice,
        pkg.localPrice.currency
      )}
    />
  ))
}
